{
  "name": "waifu-board",
  "version": "2.0.0",
  "description": "",
  "main": "main.js",
  "scripts": {
    "start": "tsc && electron .",
    "dist": "tsc && electron-builder"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "type": "commonjs",
  "dependencies": {
    "@fastify/static": "^8.3.0",
    "@xhayper/discord-rpc": "^1.3.0",
    "bcryptjs": "^3.0.3",
    "bindings": "^1.5.0",
    "cheerio": "^1.1.2",
    "dotenv": "^17.2.3",
    "electron-log": "^5.4.3",
    "fastify": "^5.6.2",
    "jsonwebtoken": "^9.0.3",
    "node-addon-api": "^8.5.0",
    "node-cron": "^4.2.1",
    "playwright-chromium": "^1.57.0",
    "sqlite3": "^5.1.7"
  },
  "devDependencies": {
    "@types/bcrypt": "^6.0.0",
    "@types/jsonwebtoken": "^9.0.10",
    "@types/node": "^24.0.0",
    "electron": "^39.2.5",
    "electron-builder": "^26.0.12",
    "node-gyp": "^12.1.0",
    "ts-node": "^10.9.0",
    "typescript": "^5.3.0"
  },
  "build": {
    "appId": "app.waifuboard",
    "productName": "Waifu Board",
    "files": [
      "electron/**/*",
      "server.js",
      "main.js",
      "preload.js",
      "package.json",
      "views/**/*",
      "src/scripts/**/*",
      "public/assets/*"
    ],
    "extraResources": [
      {
        "from": "C:\\Users\\synta\\AppData\\Local\\ms-playwright\\chromium_headless_shell-1200",
        "to": "playwright/chromium"
      },
      ".env"
    ],
    "win": {
      "target": "portable",
      "icon": "public/assets/waifuboards.ico"
    }
  }
}
